package ink.wgink.module.examine.pojo.dtos.test;

import com.cm.study.pojo.dtos.questionoptions.QuestionOptionsDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @ClassName: QuestionDTO
 * @Description: 试题管理
 * @Author: WenG
 * @Date: 2020-09-09 21:00
 * @Version: 1.0
 **/
@ApiModel
public class TestQuestionDTO {

    @ApiModelProperty(name = "questionId", value = "主键")
    private String questionId;
    @ApiModelProperty(name = "subject", value = "题目")
    private String subject;
    @ApiModelProperty(name = "questionType", value = "试题类型")
    private String questionType;
    @ApiModelProperty(name = "questionTypeName", value = "试题类型名称")
    private String questionTypeName;
    @ApiModelProperty(name = "customQuestionType", value = "自定义试题类型")
    private String customQuestionType;
    @ApiModelProperty(name = "customQuestionTypeName", value = "自定义试题类型名称")
    private String customQuestionTypeName;
    @ApiModelProperty(name = "type", value = "种类，choice：选择，tureOrFalse：判断，fillInTheBlanks：填空，answer：解答")
    private String type;
    @ApiModelProperty(name = "choiceType", value = "选择类别，single：单选，multiple：多选")
    private String choiceType;
    @ApiModelProperty(name = "analysis", value = "解析")
    private String analysis;
    @ApiModelProperty(name = "parentId", value = "上级试题")
    private String parentId;
    @ApiModelProperty(name = "difficulty", value = "难度")
    private Integer difficulty;
    @ApiModelProperty(name = "source", value = "来源")
    private String source;
    @ApiModelProperty(name = "answer", value = "答案")
    private String answer;
    @ApiModelProperty(name = "gmtCreate", value = "创建时间")
    private String gmtCreate;
    @ApiModelProperty(name = "isUsed", value = "是否被使用")
    private boolean isUsed;
    @ApiModelProperty(name = "questionOptions", value = "选项")
    private List<QuestionOptionsDTO> questionOptions;

}
